Get an evidence record
GET
/evidence/{id}
const url = 'https://api.vendorica.com/v1/evidence/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vendorica.com/v1/evidence/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>'Poll this after an upload to follow file.scanStatus. Sensitive rows come back with their descriptive fields redacted — an API key is not a named reader (see the download endpoint).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “Responses”Success
Media typeapplication/json
object
success
required
boolean
data
required
object
id
required
string format: uuid
organizationId
required
string format: uuid
controlId
required
string format: uuid
controlDisplayId
required
string | null
controlName
required
string | null
testType
required
string
source
required
string
status
required
string
summary
required
string | null
isSensitive
required
boolean
collectedAt
required
string format: date-time
expiresAt
required
string | null format: date-time
supersededBy
required
string | null format: uuid
key
additional properties
timestamp
required
string format: date-time
requestId
string
message
string
Example
{ "success": true, "data": { "id": "bf8196c2-3900-4040-8e7e-59791de6dfc7", "organizationId": "d484c0cb-55fb-4c6b-82e4-d7b88a3f9cf4", "controlId": "8d6ea9c9-7035-4a91-85e4-63d6a8892396", "controlDisplayId": "string", "controlName": "string", "testType": "string", "source": "string", "status": "string", "summary": "string", "isSensitive": true, "collectedAt": "2026-08-19T09:41:12.004Z", "expiresAt": "2026-08-19T09:41:12.004Z", "supersededBy": "34b9fd92-90ca-49b0-813f-a4c9a4306eb7" }, "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H", "message": "string"}Validation error
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Bad request", "code": "BAD_REQUEST", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Unauthorized
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Unauthorized", "code": "UNAUTHORIZED", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Forbidden — missing scope
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Forbidden", "code": "FORBIDDEN", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Not found
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Resource not found", "code": "NOT_FOUND", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}Rate limit exceeded
Media typeapplication/json
object
success
required
boolean
error
required
string
code
required
string
details
timestamp
required
string format: date-time
requestId
string
Example
{ "success": false, "error": "Too many requests", "code": "TOO_MANY_REQUESTS", "timestamp": "2026-08-19T09:41:12.004Z", "requestId": "req_01J5X8ZC3K4T7Q9M2W6B0N1V4H"}